Bug 1295708 - libzen (mediainfo) cannot deal with filenames containing questionmark (?) or asterisk (*)
libzen (mediainfo) cannot deal with filenames containing questionmark (?) or ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libzen (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Vasiliy Glazov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 05:18 EST by Oliver Paukstadt
Modified: 2016-03-17 15:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: libzen-0.4.33-1.fc23 libzen-0.4.33-1.fc22 libzen-0.4.33-1.el7 libzen-0.4.33-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 10:52:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
workaround linux only (658 bytes, patch)
2016-01-05 05:18 EST, Oliver Paukstadt
no flags Details | Diff

  None (edit)
Description Oliver Paukstadt 2016-01-05 05:18:49 EST
Created attachment 1111779 [details]
workaround linux only

Description of problem:
libzen which is used by mediainfo to detect media filetypes does not work on filenames which contain a ? or an *.

Version-Release number of selected component (if applicable):
0.4.32 

How reproducible:
[mi]$ convert -size 100x100 xc:white canvas.jpg
[mi]$ mediainfo canvas.jpg 
General
Complete name : canvas.jpg
Format : JPEG
File size : 203 Bytes

Image
Format : JPEG
Width : 100 pixels
Height : 100 pixels
Color space : Y
Bit depth : 8 bits
Compression mode : Lossy
Stream size : 203 Bytes (100%)

[mi]$ cp canvas.jpg "canvas?.jpg"
[mi]$ mediainfo "canvas?.jpg"

[mi]$ echo $?
1

Additional info:
https://sourceforge.net/p/mediainfo/bugs/950/

Added a workaround patch which removes exit on filenames returning * or ?.
I dont think this should introduce any problems on linux systems.
Comment 1 Vasiliy Glazov 2016-03-02 04:51:49 EST
Please test it on mediainfo 0.7.83. It will shortly available in testing.
Comment 2 Fedora Update System 2016-03-02 04:54:36 EST
mediainfo-0.7.83-1.el7 libmediainfo-0.7.83-1.el7 libzen-0.4.33-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b0c41ecedb
Comment 3 Fedora Update System 2016-03-02 04:54:36 EST
mediainfo-0.7.83-1.fc23 libmediainfo-0.7.83-1.fc23 libzen-0.4.33-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ec74022ec
Comment 4 Fedora Update System 2016-03-02 04:54:38 EST
mediainfo-0.7.83-1.el7 libmediainfo-0.7.83-1.el7 libzen-0.4.33-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b0c41ecedb
Comment 5 Fedora Update System 2016-03-02 04:54:42 EST
mediainfo-0.7.83-1.fc22 libmediainfo-0.7.83-1.fc22 libzen-0.4.33-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6c1d9e89b1
Comment 6 Fedora Update System 2016-03-02 04:54:43 EST
mediainfo-0.7.83-1.el6 libmediainfo-0.7.83-1.el6 libzen-0.4.33-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-80470be355
Comment 7 Fedora Update System 2016-03-02 17:55:45 EST
libmediainfo-0.7.83-1.fc23, libzen-0.4.33-1.fc23, mediainfo-0.7.83-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ec74022ec
Comment 8 Fedora Update System 2016-03-02 18:19:47 EST
libmediainfo-0.7.83-1.fc22, libzen-0.4.33-1.fc22, mediainfo-0.7.83-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6c1d9e89b1
Comment 9 Fedora Update System 2016-03-02 21:48:47 EST
libmediainfo-0.7.83-1.el6, libzen-0.4.33-1.el6, mediainfo-0.7.83-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-80470be355
Comment 10 Fedora Update System 2016-03-02 21:52:12 EST
libmediainfo-0.7.83-1.el7, libzen-0.4.33-1.el7, mediainfo-0.7.83-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b0c41ecedb
Comment 11 Oliver Paukstadt 2016-03-06 01:20:36 EST
(In reply to Vasiliy Glazov from comment #1)
> Please test it on mediainfo 0.7.83. It will shortly available in testing.

Verified on EPEL 6 and F23, and it fixes the problem:

[mi]$ mediainfo "canvas?.jpg" 
General
Complete name                            : canvas?.jpg
Format                                   : JPEG
File size                                : 203 Bytes

Image
Format                                   : JPEG
Width                                    : 100 pixels
Height                                   : 100 pixels
Color space                              : Y
Bit depth                                : 8 bits
Compression mode                         : Lossy
Stream size                              : 203 Bytes (100%)
Comment 12 Fedora Update System 2016-03-09 10:52:03 EST
libmediainfo-0.7.83-1.fc23, libzen-0.4.33-1.fc23, mediainfo-0.7.83-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-03-09 15:12:27 EST
libmediainfo-0.7.83-1.fc23, libzen-0.4.33-1.fc23, mediainfo-0.7.83-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-11 19:51:29 EST
libmediainfo-0.7.83-1.fc22, libzen-0.4.33-1.fc22, mediainfo-0.7.83-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-17 14:59:02 EDT
libmediainfo-0.7.83-1.el7, libzen-0.4.33-1.el7, mediainfo-0.7.83-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-17 15:29:12 EDT
libmediainfo-0.7.83-1.el6, libzen-0.4.33-1.el6, mediainfo-0.7.83-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.